#ifndef _HEADER_ETHERYOBLOG_DOTENV
#define _HEADER_ETHERYOBLOG_DOTENV

#include <string>
#include <unordered_map>

namespace Etheryo {
class DotEnv {
public:
    DotEnv();
    int readFile(const std::string& path);
    const std::string& operator[](const std::string& rvalue);

private:
    std::unordered_map<std::string, std::string> _fileData;
};
}

#endif // _HEADER_ETHERYOBLOG_DOTENV